%define modname mnogosearch
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 34_%{modname}.ini

Summary:	MnoGoSearch extension module for PHP
Name:		php-%{modname}
Version:	1.96
Release:	%mkrel 7
Group:		Development/PHP
URL:		http://www.mnogosearch.org/
License:	PHP License
Source0:	%{modname}-php-extension-%{version}.tar.bz2
BuildRequires:	php-devel >= 5.1.0
BuildRequires:	libmnogosearch-devel >= 3.2.20
Provides:	php5-mnogosearch
Obsoletes:	php5-mnogosearch
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This is a dynamic shared object (DSO) for PHP that will allow you to access
mnoGoSearch free search engine.

%prep

%setup -q -n %{version}

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`

# hack :)
perl -p -i -e "s|udm-config|mnogosearch-${MnoGoSearchVersion}-config|g" config.m4

%build

MnoGoSearchVersion=`%{_bindir}/mnogosearch-*-config --version`
export EXTRA_INCLUDES="-I%{_includedir}/mnogosearch-${MnoGoSearchVersion} -I%{_includedir}"

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix} \
    --with-openssl=%{_prefix}

%make
mv modules/*.so .
chrpath -d %{soname}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README index.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}

%changelog
* Mon Sep 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdv2007.0
- rebuilt against MySQL-5.0.24a-1mdv2007.0 due to ABI changes

* Sun Aug 27 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-6
- rebuilt for php-5.1.6

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-5mdk
- rebuild

* Fri May 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1.96-4mdk
- rebuilt for php-5.1.3

* Sun Jan 15 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-3mdk
- rebuilt against php-5.1.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-2mdk
- rebuilt against php-5.1.1

* Sat Nov 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1:1.96-1mdk
- 1.96
- rebuilt against php-5.1.0
- fix versioning

* Sat Oct 01 2005 Oden Eriksson <oeriksson@mandriva.com> 5.1.0_1.95-0.RC1.1mdk
- rebuilt against php-5.1.0RC1

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.5_1.95-1mdk
- rebuilt against php-5.0.5 (Major security fixes)

* Thu May 26 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.95-1mdk
- rename the package

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0.4_1.95-1mdk
- 5.0.4

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-4mdk
- use the %%mkrel macro
- use a safer way to determin MnoGoSearch Version

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-3mdk
- rebuilt against a non hardened-php aware php lib

* Sun Jan 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-2mdk
- rebuild due to hardened-php-0.2.6

* Fri Dec 17 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.3_1.95-1mdk
- 1.95
- rebuilt for php-5.0.3

* Fri Nov 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.91-1mdk
- 1.91

* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2_1.87-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1_1.87-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0_1.87-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8_1.87-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.87-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6_1.87-1mdk
- 1.87
- built for php 4.3.6

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.83-1mdk
- 1.83

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.82-1mdk
- built for php 4.3.4

* Wed Oct 01 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.82-1mdk
- 1.82
- built against new mnogosearch
- fix invalid-build-requires
- fix explicit-lib-dependency

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3_1.80-1mdk
- 1.80
- built for php 4.3.3
- misc spec file fixes

* Wed Jun 04 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2_1.72-1mdk
- built for 4.3.2

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.72-1mdk
- rebuilt against latest buildrequires
- 1.72
- misc spec file fixes
- fix buildrequires, thanks to Stefan van der Eijks robot

* Sat Apr 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-2mdk
- rebuilt against latest buildrequires, but with a twist :)

* Tue Feb 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1_1.68-1mdk
- fix the php versioning

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-2mdk
- rebuilt against rebuilt buildrequires
- fix requires & buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.68-1mdk
- built against php-4.3.0
- 1.68
- follow the spec file design as in main
- use provided %{phpdir}/build/php-killrpath ;)

* Sun Sep 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.65-1mdk
- initial cooker contrib
